org.apache.cassandra.dht

## Class RangeStreamer

- java.lang.Object
- - org.apache.cassandra.dht.RangeStreamer

    public class RangeStreamer
    extends java.lang.Object

Assists in streaming ranges to a node.

### Nested Class Summary

Nested Classes
`static class` `RangeStreamer.FailureDetectorSourceFilter` Source filter which excludes any endpoints that are not alive according to a failure detector.
`static interface` `RangeStreamer.ISourceFilter` A filter applied to sources to stream from when constructing a fetch map.
`static class` `RangeStreamer.SingleDatacenterFilter` Source filter which excludes any endpoints that are not in a specific data center.

### Field Summary

Fields
`static boolean` `useStrictConsistency`

### Constructor Summary

Constructors
Constructor and Description
`RangeStreamer(TokenMetadata metadata, java.util.Collection<Token> tokens, java.net.InetAddress address, java.lang.String description)`
`RangeStreamer(TokenMetadata metadata, java.net.InetAddress address, java.lang.String description)`

### Method Summary

Methods
`void` `addRanges(java.lang.String keyspaceName, java.util.Collection<Range<Token>> ranges)`
`void` `addSourceFilter(RangeStreamer.ISourceFilter filter)`
`StreamResultFuture` `fetchAsync()`
`static com.google.common.collect.Multimap<java.net.InetAddress,Range<Token>>` `getWorkMap(com.google.common.collect.Multimap<Range<Token>,java.net.InetAddress> rangesWithSourceTarget)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### useStrictConsistency

    public static final boolean useStrictConsistency

### Constructor Detail

#### RangeStreamer

    public RangeStreamer(TokenMetadata metadata,
                 java.util.Collection<Token> tokens,
                 java.net.InetAddress address,
                 java.lang.String description)

#### RangeStreamer

    public RangeStreamer(TokenMetadata metadata,
                 java.net.InetAddress address,
                 java.lang.String description)

### Method Detail

#### addSourceFilter

    public void addSourceFilter(RangeStreamer.ISourceFilter filter)

#### addRanges

    public void addRanges(java.lang.String keyspaceName,
                 java.util.Collection<Range<Token>> ranges)

#### getWorkMap

    public static com.google.common.collect.Multimap<java.net.InetAddress,Range<Token>> getWorkMap(com.google.common.collect.Multimap<Range<Token>,java.net.InetAddress> rangesWithSourceTarget)

#### fetchAsync

    public StreamResultFuture fetchAsync()